package com.steerinfo.baseinfo.meterbasetermtaredata.service;

import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasetermtaredata.model.MeterBaseTermTareData;
import com.steerinfo.metermonitor.metermonitornote.model.MeterMonitorNote;

import java.util.HashMap;
import java.util.List;

/**
 * MeterBaseTermTareData服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-24 02:18
 * 类描述
 * 修订历史：
 * 日期：2020-06-24
 * 作者：generator
 * 参考：
 * 描述：MeterBaseTermTareData服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseTermTareDataService extends IBaseService<MeterBaseTermTareData, String>{
     String Recovery(MeterBaseTermTareData model);

     String abolish(MeterBaseTermTareData model);

    List<MeterBaseTermTareData> selectBy(String carNo);

    List<MeterBaseTermTareData> doQueryWf(MeterBaseTermTareData oci);

    RESTfulResult doSaveWf(MeterBaseTermTareData oci, MeterMonitorNote note);

    RESTfulResult doSaveTerm(String id);
    RESTfulResult doSaveTermByConfig(String id);

    RESTfulResult listBycarNo(HashMap<String, Object> parmas);
    RESTfulResult ApplistBycarNo(HashMap<String, Object> parmas);
}